﻿@model WIKIPRJ.ViewModels.GroupDocuments
@{
    ViewBag.Title = @Caption.Search;
    Layout = "~/Views/Shared/_GlobalLayout.cshtml";
}
@*<h2>@Caption.Search</h2>*@
@*@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <hr />
    <div class="form-horizontal">

        <div class="form-group">
            <div class="col-md-8">
                <h5> ویکی واژه مورد نظر شما را در متون،قوانین،بخشنامه ها و آئین نامه جستجو میکند</h5>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-8">
                @Html.Editor("SearchDoc", new { htmlAttributes = new { @class = "form-control" } })
            </div>
            <div class="col-md-2">
                <input type="submit" value=@Caption.Search id="SearchDocuments" name="SearchDocuments" class="btn btn-primary" style="width:350px">
            </div>
        </div>
    </div>
}*@

@helper WebGridPageFirstItem(WebGrid grid)
{
    @(((grid.PageIndex + 1) * grid.RowsPerPage) - (grid.RowsPerPage - 1));
}

@helper WebGridPageLastItem(WebGrid grid)
{
    if (grid.TotalRowCount < (grid.PageIndex + 1 * grid.RowsPerPage))
    {
        @grid.TotalRowCount;
    }
    else
    {
        @((grid.PageIndex + 1) * grid.RowsPerPage);
    }
}

@{

    //== WebGrid Constructor Parameters ====================
    var grid = new WebGrid(
        source: Model.Documents,
        defaultSort: "ID",
        rowsPerPage: 10,
        canPage: true,
        canSort: true,
        selectionFieldName: "SelectedRow"
        //ajaxUpdateContainerId: "gridContent",
        //columnNames: new[] {""},
        //ajaxUpdateCallback: "",
        //fieldNamePrefix: "",
        //pageFieldName: "",
        //sortFieldName: "",
        //sortDirectionFieldName: ""
        );
    var salaryPageSum = 0;
    var taxPageSum = 0;
    var rowIndex = ((grid.PageIndex + 1) * grid.RowsPerPage) - (grid.RowsPerPage - 1);
}

@*== Script ================================================*@

<script type="text/javascript">
    $(document).ready(function () {

        $('#GroupGride tbody tr').hover(function () {
            $(this).toggleClass('webgrid-Row-hover');
        });

        $('#GroupGride tbody tr').click(function () {
            $(this).addClass('webgrid-selected-Row');
        }, function () {
            window.document.location = $(this).find("a").attr("href");
        });
    });
</script>
@*== Grid Body ================================================*@
<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div id="gridContent" class="gridContent">
                    @grid.GetHtml(
            htmlAttributes: new { id = "GroupGride" },
            caption: "لیست محتوا",
            tableStyle: "webgrid-table",
            headerStyle: "webgrid-header",
            footerStyle: "webgrid-footer",
            rowStyle: "webgrid-row-style",
            alternatingRowStyle: "webgrid-alt-row",
            selectedRowStyle: "webgrid-selected-Row",
            displayHeader: true,
            mode: WebGridPagerModes.All,
            firstText: "<<  اولین",
            previousText: "<  قبلی",
            nextText: "بعدی  >",
            lastText: "آخرین  >>",
            numericLinksCount: 5,
            fillEmptyRows: false,
            emptyRowCellValue: "خالی",
            //IEnumerable<string> exclusions: new[] {""},
            //htmlAttributes: null,

            columns: grid.Columns(
//grid.Column(
//"ID",
//(grid.SortColumn == "ID" ? (grid.SortDirection == SortDirection.Ascending ? "# ▼" : "# ▲") : "#"),
//format: (item) => item.GetSelectLink(item.ID.ToString()),
//style: "IDWidth"),

        @*grid.Column(
                        "ParentID",
                        (grid.SortColumn == "ParentID" ? (grid.SortDirection == SortDirection.Ascending ? Caption.ParentID + " ▼" : Caption.ParentID + " ▲") : Caption.ParentID),
                        format:
                                                @<text>
                                                    @{salaryPageSum++;

                                                    }
                                                    <span class="display-mode"><label id="lblParentID">@item.ParentID</label></span>
                                                </text>,
            style: "txtwidth"),

            grid.Column(
            "GroupName",
            (grid.SortColumn == "GroupName" ? (grid.SortDirection == SortDirection.Ascending ? Caption.GroupName + " ▼" : Caption.GroupName + " ▲") : Caption.GroupName),
            format:
                        @<text>
                            <span class="display-mode"><label id="lblGroupName">@item.DisplayGroupName</label></span>
                        </text>,
            style: "txtwith"),*@
grid.Column(
"Title",
(grid.SortColumn == "Title" ? (grid.SortDirection == SortDirection.Ascending ? Caption.Title + " ▼" : Caption.Title + " ▲") : Caption.Title),
format:
                                    @<text>
                                        @{salaryPageSum++;

                                        }

                                        <span class="display-mode"><label id="lblGroupName">@item.DisplayTitle</label></span>
                                    </text>,
    style: "txtwith"),

      grid.Column(
    "KeyWord",
    (grid.SortColumn == "KeyWord" ? (grid.SortDirection == SortDirection.Ascending ? Caption.KeyWord + " ▼" : Caption.KeyWord + " ▲") : Caption.KeyWord),
    format:
        @<text>
            <span class="display-mode"><label id="lblGroupName">@item.DisplayKeyWord</label></span>
        </text>,
style: "txtwith"),


              grid.Column(
"Date_Doc",
(grid.SortColumn == "Date_Doc" ? (grid.SortDirection == SortDirection.Ascending ? Caption.Date_Doc + " ▼" : Caption.Date_Doc + " ▲") : Caption.Date_Doc),
format:
@<text>
    <span class="display-mode"><label id="lblGroupName">@item.Date_Doc</label></span>
</text>,
style: "text-center"),

//grid.Column(header: "Documents", columnName: "Documents",
//                 style: "text-align-center-col",
//                 format: item =>
//                 {
//                     var subGrid = new WebGrid(
//                                            source: item.Documents,
//                                            canPage: false,
//                                            canSort: false
//                                            );
//                     return subGrid.GetHtml(
//                                            htmlAttributes: new { id = "MySubGrid" },
//                                            tableStyle: "webgrid",
//                                            headerStyle: "webgrid-header",
//                                            footerStyle: "webgrid-footer",
//                                            alternatingRowStyle: "webgrid-alternating-row",
//                                            selectedRowStyle: "webgrid-selected-row",
//                                            rowStyle: "webgrid-row-style"
//                         );
//                 }),
grid.Column("عملیات",
format: @<text>
    @Html.ActionLink(@Caption.Context, "Context", "Documents", new { id = item.ID }, new { @class = "btn btn-success " })

    @*@Html.ActionLink(Caption.Edit, "Edit", "Groups", new { id = item.ID }, new { @class = "btn btn-sm btn-success" })
        |
        @Html.ActionLink(Caption.Details, "Details", "Groups", new { id = item.ID }, new { @class = "btn btn-sm btn-warning" })
        |
        @Html.ActionLink(Caption.Delete, "Delete", "Groups", new { id = item.ID }, new { @class = "btn btn-sm btn-danger" })*@
</text>,
style: "col4Width", canSort: false)))
                    <strong>صفحه:</strong> @(grid.PageIndex + 1) / @grid.PageCount,
                    <strong>ردیف:</strong> @WebGridPageFirstItem(@grid) - @WebGridPageLastItem(@grid) از @grid.TotalRowCount
                </div>
                @section scripts{
                    <script type="text/javascript">
                        $(function () {
                            $('#GroupGride tbody:first').append(
                            '<tr class="total-row"><td><strong>تعداد :</strong></td>\
         <td>@string.Format("{0:n0}", @salaryPageSum)</td>\
         @*<td>@string.Format("${0:n0}", @taxPageSum)</td>*@\
         </tr>');
                        });
                    </script>
                }
                @*== Do something after selected row ===============================*@
                @*<div id="gridHasSelect">
                        @if (grid.HasSelection)
                        {
                            var Group = (WikiModel.Model.Group)grid.Rows[grid.SelectedIndex].Value;
                            <hr />
                            <div class="well pull-right" style="direction:rtl;">
                                <b>@Caption.IDGroup:</b> @Group.ID     |
                                <b>@Caption.ParentID:</b>  @Group.ParentID     |
                                <b>@Caption.GroupName:</b> @Group.GroupName     |
                                <b>@Caption.HasChildren:</b> @{var x = Group.HasChildren == true ? "دارد" : "ندارد";} @x
                            </div>
                        }
                    </div>*@
            </div>
        </div>
    </div>

    @*if (Model.Documents.Count > 0)
        {
        <hr />
        <table class="table table-hover">
            <tr>
                <th width="50px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().ID)
                </th>
                <th width="200px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Group.GroupName)
                </th>
                <th width="200px" class="wordwrap">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Title)
                </th>
                <th width="200px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().KeyWord)
                </th>
                <th width="35px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Date_Doc)
                </th>
                <th width="150px">
                    عملیات
                </th>
            </tr>

            @foreach (var item in Model.Documents)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.ID)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Group.DisplayGroupName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DisplayTitle)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DisplayKeyWord)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Date_Doc)
                    </td>
                    <td>
                        @Html.ActionLink(@Caption.Context, "Context", "Documents", new { id = item.ID }, null) |
                        @Html.ActionLink(@Caption.Edit, "Edit", new { id = item.ID }) |
                        @Html.ActionLink(@Caption.Delete, "Delete", new { id = item.ID }) |
                        @Html.ActionLink(@Caption.Attachment, "Create", "Attachments", new { id = item.ID }, null)
                    </td>
                </tr>
            }

        </table>
        }
        }*@
